StandardProtocolFamily (Java Platform SE 8 )
Keywords: java.net.StandardProtocolFamily class
Date: 2026-04-24

compact1, compact2, compact3
java.net

## Enum StandardProtocolFamily

- java.lang.Object
- - java.lang.Enum<StandardProtocolFamily>
  - - java.net.StandardProtocolFamily

- All Implemented Interfaces:
    Serializable, Comparable<StandardProtocolFamily>, ProtocolFamily

      public enum StandardProtocolFamily
      extends Enum<StandardProtocolFamily>
      implements ProtocolFamily

  Defines the standard families of communication protocols.
  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INET` Internet Protocol Version 4 (IPv4)
    `INET6` Internet Protocol Version 6 (IPv6)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardProtocolFamily` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StandardProtocolFamily[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.net.ProtocolFamily

      `name`

- - ### Enum Constant Detail

    - #### INET

          public static final StandardProtocolFamily INET

      Internet Protocol Version 4 (IPv4)

    - #### INET6

          public static final StandardProtocolFamily INET6

      Internet Protocol Version 6 (IPv6)

  - ### Method Detail

    - #### values

          public static StandardProtocolFamily[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardProtocolFamily c : StandardProtocolFamily.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardProtocolFamily valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.